For the complete documentation index, see llms.txt. This page is also available as Markdown.

Courses

Get course information

get

This endpoint will return the course collection information.

Authorizations
AuthorizationstringRequired
Path parameters
course_idintegerRequired

ID of the course to get the details of.

Responses
200

After a successful request, the endpoint returns HTTP 200.

application/json
get/courses/{course_id}
GET /api/public/v1/courses/{course_id} HTTP/1.1
Host: tw.instructuremedia.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "course": {
    "id": 1,
    "name": "text",
    "type": "text",
    "permission": "text",
    "owner": {
      "id": 1,
      "full_name": "text",
      "display_name": "text",
      "email": "text"
    },
    "created_at": "2026-01-01T00:00:00.000Z",
    "course_id": 1,
    "archived_at": "2026-01-01T00:00:00.000Z"
  }
}

Get a list of perspectives of a course

get

This endpoint will return all the perspectives in a course.

Authorizations
AuthorizationstringRequired
Path parameters
course_idintegerRequired

ID of the course to retrieve perspectives from

Responses
200

After a successful request, the endpoint returns HTTP 200.

application/json
get/courses/{course_id}/perspectives
GET /api/public/v1/courses/{course_id}/perspectives HTTP/1.1
Host: tw.instructuremedia.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "perspectives": [
    {
      "uuid": "text",
      "title": "text",
      "description": "text",
      "duration": 1,
      "created_at": "2026-01-01T00:00:00.000Z",
      "archived_at": "2026-01-01T00:00:00.000Z",
      "media": {
        "id": 1,
        "title": "text",
        "description": "text",
        "duration": 1,
        "created_at": "2026-01-01T00:00:00.000Z",
        "last_viewed": "2026-01-01",
        "last_viewed_by_student": "2026-01-01",
        "thumbnail_url": "text",
        "transcoding_status": "text",
        "owner": {
          "id": 1,
          "full_name": "text",
          "display_name": "text",
          "email": "text"
        },
        "size": 1,
        "source": "text",
        "embed_id": "text",
        "lti_launch_id": "text",
        "archived_at": "2026-01-01T00:00:00.000Z"
      }
    }
  ]
}

Last updated

Was this helpful?